Skip to content
POST/{organizationId}/crm/contacts/shared/export

Export shared contacts

Exports shared contacts for the organization

Required permissions:

  • organization.read

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

searchTermstringoptional

A stringified json object representing a property filter

maxItems: 50

formatstringrequired

Options:

csvxlsx

minItems: 1

maxItems: 1000

scopestringoptional

Default: "shared"

Options:

sharedall

Authentication: X-API-Key

Request

POST/{organizationId}/crm/contacts/shared/export
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/contacts/shared/export' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "format": "csv"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "state": "empty"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}